Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011729 [DCSS] Bug Report trivial have not tried 2018-10-22 01:14 2018-11-08 01:56
Reporter silenth View Status public  
Assigned To
Priority normal Resolution open  
Status new   Product Branch 0.23 development branch
Summary 0011729: Roxanne's dropped spellbook not marked for autopickup
Description CAO Webtiles, trunk branch.
After killing Roxanne, her exclusion is removed as expected but the spellbook she drops was not marked for autopickup (other spellbooks in this run were autopickuped with no issue). Arrows used to kill her in the same tile were correctly marked for autopickup, however.
I think this has happened to me at least once before in trunk a few weeks ago but am not sure.
Additional Information
Tags No tags attached.
Attached Files png file icon Roxanne's book-no auto-pickup.png [^] (119,368 bytes) 2018-10-26 20:02

- Relationships

-  Notes
(0032712)
Yermak (reporter)
2018-10-22 01:31

I'm pretty sure that you've already seen the book she dropped. That's the reason it wasn't on autopickup. If anything, there are books that are on autopickup, when they shouldn't be.

FR: don't pick up books with no new spells.
(0032713)
silenth (reporter)
2018-10-22 01:39

Unfortunately I don't seem to be tracking this in my chardump (https://pastebin.com/Uzr37HeL), [^] but I checked before reporting and when I picked it up I got the "You memorize..." message , not the "No new spells" message. Should have taken a screenshot. It's possible I am wrong, but I don't think I had Statue Form in the library before doing Spider (she dropped Book of the Earth).
(0032723)
RoGGa (reporter)
2018-10-26 20:01

I just experienced the OP's bug report. See text at bottom of attached screen capture.
I'm playing a DDNe and this is the first spellbook with Earth spells I've come across so there is no reason why the book should not be autopickup.
(0032790)
Yermak (reporter)
2018-11-08 01:56

There is a vault that puts preidentified book of Dreams amongst clouds. It's also not on autopickup.

Deciding if a book should be picked up by whether you saw it before or not is a stupid thing anyway. One and the only factor should be the availability of new spells in it.

- Issue History
Date Modified Username Field Change
2018-10-22 01:14 silenth New Issue
2018-10-22 01:31 Yermak Note Added: 0032712
2018-10-22 01:39 silenth Note Added: 0032713
2018-10-26 20:01 RoGGa Note Added: 0032723
2018-10-26 20:02 RoGGa File Added: Roxanne's book-no auto-pickup.png
2018-11-08 01:56 Yermak Note Added: 0032790


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker